summaryrefslogtreecommitdiff
path: root/source3/script/tests/tests_all.sh
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2008-01-04 16:58:23 -0800
committerJeremy Allison <jra@samba.org>2008-01-04 16:58:23 -0800
commitc513ff3675bd38bf3e879ea862e82c7181538961 (patch)
tree8d03586846c417432e9d8632b6617c9f9883c8f2 /source3/script/tests/tests_all.sh
parent95fa10d596199c1449ee17b5199c93702c017a6f (diff)
downloadsamba-c513ff3675bd38bf3e879ea862e82c7181538961.tar.gz
samba-c513ff3675bd38bf3e879ea862e82c7181538961.tar.bz2
samba-c513ff3675bd38bf3e879ea862e82c7181538961.zip
Better way of testing enc.
Jeremy. (This used to be commit c5800235018330f0c1bbe307cd733597ac9b6686)
Diffstat (limited to 'source3/script/tests/tests_all.sh')
-rwxr-xr-xsource3/script/tests/tests_all.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/source3/script/tests/tests_all.sh b/source3/script/tests/tests_all.sh
index 109e9c2920..c9fd748296 100755
--- a/source3/script/tests/tests_all.sh
+++ b/source3/script/tests/tests_all.sh
@@ -1,7 +1,11 @@
$SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+echo testing encrypted
+$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" -e || failed=`expr $failed + $?`
$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
+echo testing encrypted
+$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP -e || failed=`expr $failed + $?`
$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
LD_LIBRARY_PATH="$SAMBA4SHAREDDIR:$LD_LIBRARY_PATH"